Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPObjectAreaInfo

    java.lang.Object
      org.apache.fop.afp.AFPObjectAreaInfo

public class AFPObjectAreaInfo
extends java.lang.Object

A common class used to convey locations, dimensions and resolutions of data objects.

Constructor Summary
`AFPObjectAreaInfo()`

Method Summary
`int` | `getHeight()` Returns the height of this data object
`int` | `getHeightRes()` Returns the height resolution of this data object
`int` | `getRotation()` Returns the rotation of this data object
`int` | `getWidth()` Returns the width of this data object
`int` | `getWidthRes()` Returns the width resolution of this data object
`int` | `getX()` Returns the x coordinate of this data object
`int` | `getY()` Returns the y coordinate of this data object
`void` | `setHeight(int height)` Sets the data object height
`void` | `setHeightRes(int heightRes)` Sets the height resolution
`void` | `setRotation(int rotation)` Sets the data object rotation
`void` | `setWidth(int width)` Sets the data object width
`void` | `setWidthRes(int widthRes)` Sets the width resolution
`void` | `setX(int x)` Sets the x position of the data object
`void` | `setY(int y)` Sets the y position of the data object
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AFPObjectAreaInfo

    public AFPObjectAreaInfo()

Method Detail

### setX

    public void setX(int x)

  Sets the x position of the data object

  Parameters:
    `x` - the x position of the data object

### setY

    public void setY(int y)

  Sets the y position of the data object

  Parameters:
    `y` - the y position of the data object

### setWidth

    public void setWidth(int width)

  Sets the data object width

  Parameters:
    `width` - the width of the data object

### setHeight

    public void setHeight(int height)

  Sets the data object height

  Parameters:
    `height` - the height of the data object

### setWidthRes

    public void setWidthRes(int widthRes)

  Sets the width resolution

  Parameters:
    `widthRes` - the width resolution

### setHeightRes

    public void setHeightRes(int heightRes)

  Sets the height resolution

  Parameters:
    `heightRes` - the height resolution

### getX

    public int getX()

  Returns the x coordinate of this data object

  Returns:
    the x coordinate of this data object

### getY

    public int getY()

  Returns the y coordinate of this data object

  Returns:
    the y coordinate of this data object

### getWidth

    public int getWidth()

  Returns the width of this data object

  Returns:
    the width of this data object

### getHeight

    public int getHeight()

  Returns the height of this data object

  Returns:
    the height of this data object

### getWidthRes

    public int getWidthRes()

  Returns the width resolution of this data object

  Returns:
    the width resolution of this data object

### getHeightRes

    public int getHeightRes()

  Returns the height resolution of this data object

  Returns:
    the height resolution of this data object

### getRotation

    public int getRotation()

  Returns the rotation of this data object

  Returns:
    the rotation of this data object

### setRotation

    public void setRotation(int rotation)

  Sets the data object rotation

  Parameters:
    `rotation` - the data object rotation

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.